from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Array, Int, File, String

Megalodon_Extras_Validate_Compare_Modified_Bases_V0_1_0 = CommandToolBuilder(tool="megalodon_extras_validate_compare_modified_bases", base_command=["megalodon_extras", "validate", "compare_modified_bases"], inputs=[ToolInput(tag="in_bed_methyl_files_first", input_type=Array(t=Int(), optional=True), prefix="--sample1-bed-methyl-files", doc=InputDocumentation(doc="Bed methyl files from first set of sample(s).")), ToolInput(tag="in_bed_methyl_files_second", input_type=Array(t=Int(), optional=True), prefix="--sample2-bed-methyl-files", doc=InputDocumentation(doc="Bed methyl files from second set of sample(s).")), ToolInput(tag="in_sample_names", input_type=Int(optional=True), prefix="--sample-names", doc=InputDocumentation(doc="SAMPLE_NAMES\nName for provided samples. Default: ['Sample 1',\n'Sample 2']")), ToolInput(tag="in_valid_positions", input_type=File(optional=True), prefix="--valid-positions", doc=InputDocumentation(doc="BED file containing positions to be considered.\nMultiple files may be provided")), ToolInput(tag="in_coverage_threshold", input_type=Int(optional=True), prefix="--coverage-threshold", doc=InputDocumentation(doc="Only include sites with sufficient coverage. Default:\n1 (= All sites)")), ToolInput(tag="in_heat_map_num_bins", input_type=Int(optional=True), prefix="--heatmap-num-bins", doc=InputDocumentation(doc="Number of bins for heatmap plotting. Default: 31")), ToolInput(tag="in_strand_offset", input_type=String(optional=True), prefix="--strand-offset", doc=InputDocumentation(doc="Offset to combine stranded results. Positive value\nindicates reverse strand sites have higher position\nvalues. Default treat strands independently.")), ToolInput(tag="in_out_pdf", input_type=File(optional=True), prefix="--out-pdf", doc=InputDocumentation(doc="Output pdf filename. Default:")), ToolInput(tag="in_var_8", input_type=Int(), position=0, doc=InputDocumentation(doc="[SAMPLE1_BED_METHYL_FILES ...]")), ToolInput(tag="in_var_9", input_type=Int(), position=1, doc=InputDocumentation(doc="[SAMPLE2_BED_METHYL_FILES ...]")), ToolInput(tag="in_megalodon_mod_coma_paris_on_dot_pdf", input_type=String(), position=0, doc=InputDocumentation(doc="--out-filename OUT_FILENAME"))], outputs=[ToolOutput(tag="out_out_pdf", output_type=File(optional=True), selector=InputSelector(input_to_select="in_out_pdf", type_hint=File()), doc=OutputDocumentation(doc="Output pdf filename. Default:"))], container="quay.io/biocontainers/megalodon:2.2.10--py38h0213d0e_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Megalodon_Extras_Validate_Compare_Modified_Bases_V0_1_0().translate("wdl")

